Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.xensource.xenapi
Enum Types.ConsoleProtocol

    java.lang.Object
      java.lang.Enum<Types.ConsoleProtocol>
          com.xensource.xenapi.Types.ConsoleProtocol

All Implemented Interfaces:
  Serializable, Comparable<Types.ConsoleProtocol>

Enclosing class:
  Types

    public static enum Types.ConsoleProtocol

extends Enum<Types.ConsoleProtocol>

Enum Constant Summary
`RDP` Remote Desktop Protocol
`RFB` Remote FrameBuffer protocol (as used in VNC)
`UNRECOGNIZED` The value does not belong to this enumeration
`VT100` VT100 terminal

Method Summary
`String` | `toString()`
`static Types.ConsoleProtocol` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Types.ConsoleProtocol[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNRECOGNIZED

    public static final Types.ConsoleProtocol UNRECOGNIZED

  The value does not belong to this enumeration

### VT100

    public static final Types.ConsoleProtocol VT100

  VT100 terminal

### RFB

    public static final Types.ConsoleProtocol RFB

  Remote FrameBuffer protocol (as used in VNC)

### RDP

    public static final Types.ConsoleProtocol RDP

  Remote Desktop Protocol

Method Detail

### values

    public static Types.ConsoleProtocol[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Types.ConsoleProtocol c : Types.ConsoleProtocol.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Types.ConsoleProtocol valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<Types.ConsoleProtocol>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD